config/routes.rb
Rails.application.routes.draw do

  root 'static_pages#home'
  get 'static_pages/help'
  get 'sessions/new'


  get "/about", to: 'static_pages#about'
  get "/contact", to: 'static_pages#contact'
  get "/help", to: 'static_pages#help'


  get '/login', to: 'sessions#new'
  post '/login', to: 'sessions#create'
  delete '/logout', to: 'sessions#destroy'

  get '/search', to: 'questions#search'

  post '/upvote', to: 'votes#up_vote'
  post '/downvote', to: 'votes#down_vote'

  resources :users
  resources :account_activations , only: [:edit]
  resources :password_resets , only:[:new, :create, :edit, :update]
  resources :questions , except: [:create]

  resources :answers ,except: [:index,:show]
  resources :tags, only: [:index, :show]
  resources :comments, except: [:new, :index, :show]
end

app/views/layouts/_footer.html.erb
<footer class="footer">
  <ul>
    <li><a href="https://www.facebook.com/mayankagrawal2011">Facebook</a></li>
  </ul>
  <nav>
    <ul>
      <li><%= link_to "About", '/about' %></li>
      <li><%= link_to "Contact", '/contact' %></li>
      <li><a href="http://news.railstutorial.org/">News</a></li>
    </ul>
  </nav>
</footer>

app/views/layouts/_header.html.erb
<header class="navbar navbar-fixed-top navbar-inverse">
  <div class="container">
    <%= link_to "sample app", root_path, id: "logo" %>
    <nav>
      <ul class="nav navbar-nav navbar-right">
        <li><%= link_to "Home", root_path %></li>
        <li><%= link_to "Help", help_path %></li>
        <li><%= link_to "Users", users_path %></li>
        <li><%= link_to "Questions", questions_path %></li>
        <% if logged_in? %>
          <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
              Account <b class="caret"></b>
            </a>
            <ul class="dropdown-menu">
              <li><%= link_to "Profile", current_user %></li>
              <li><%= link_to "Settings", edit_user_path(current_user) %></li>
              <li class="divider"></li>
              <li>
                <%= link_to "Log out", logout_path, method: :delete %>
              </li>
            </ul>
          </li>
        <% else %>
          <li><%= link_to "Log in", login_path %></li>
        <% end %>
      </ul>
    </nav>
  </div>
</header>

app/views/layouts/_sidebar.html.erb
<div class="sidenav">
    <ul>
      <a><%= link_to "Profile", current_user %></a>
      <a><%= link_to "Edit Profile", edit_user_path(current_user) %></a>
      <a><%= link_to "Ask Question", new_question_path%></a>
      <a><%= link_to "Log out", logout_path, method: :delete %></a>
      <a><%= link_to "Tags", tags_path%></a>

    </ul>
</div>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title><%= full_title(yield(:title)) %></title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>
    <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>
<body>
<%= render 'layouts/header' %>
<% if logged_in? %>
  <%= render "layouts/sidebar"%>
  <div class="main">
    <div class="container">
      <% flash.each do |message_type, message| %>
        <div class="alert alert-<%= message_type %>"><%= message %></div>
      <% end %>
      <%= yield %>
    </div>
  </div>
<% else %>

  <div class="container">
    <% flash.each do |message_type, message| %>
      <div class="alert alert-<%= message_type %>"><%= message %></div>
    <% end %>
    <%= yield %>
  </div>

<%end %>

<%= render 'layouts/footer' %>
<%= debug(params) if Rails.env.development? %>
</body>
</html>